package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import com.ffii.fpsms.modules.master.entity.projections.QcCheckInfo
import org.springframework.stereotype.Repository

@Repository
interface QcCheckRepository: AbstractRepository<QcCheck, Long> {
    fun findAllByDeletedIsFalse(): List<QcCheck>
    fun findAllByItemIdAndDeletedFalse(itemId: Long): List<QcCheck>

    fun findAllQcCheckInfoByDeletedFalse(): List<QcCheckInfo>
    fun findAllQcCheckInfoByItemIdAndDeletedFalse(itemId: Long): List<QcCheckInfo>
}
